﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Windows.Forms.PdfViewer;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Windows.Forms;

namespace PDFViewDemo.Controllers
{
    public class PDFDemoController : Controller
    {
        //
        // GET: /PDFDemo/

        public ActionResult Index()
        {
           return View();

        }
        public ActionResult Print()
        {

            //Create a new PDF document.
            PdfDocument document = new PdfDocument();
            //Add a page to the document.
            PdfPage page = document.Pages.Add();
            //Create PDF graphics for the page.
            PdfGraphics graphics = page.Graphics;
            //Set the standard font.
            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 20);
            //Draw the text.
            graphics.DrawString("Hello World!!!", font, PdfBrushes.Black, new PointF(0, 0));

            MemoryStream stream = new MemoryStream();
            //Save the document.
            document.Save(stream);
            byte[] bytes=stream.ToArray();
            //Close the document.
            document.Close(true);

            PdfViewerControl pf = new PdfViewerControl(); 
            PdfLoadedDocument ldoc = new PdfLoadedDocument(bytes);
            pf.Load(ldoc);
            PrintDialog dialog = new PrintDialog();
            dialog.AllowPrintToFile = true;
            dialog.AllowSomePages = true;
            dialog.AllowCurrentPage = true;
            dialog.Document = pf.PrintDocument;
            dialog.Document.Print();
            return View();
        }      
    }
}


